Subject: Alchemy power managment code.

From: Ralf Baechle <[email-masked]>
Date: Thu, 13 Mar 2008 13:56:18 +0000

The Alchemy code in arch/mips/au1000/common/power.c is one of the last
remaining users of pm_send_all() which happens to be a nop call because
nothing registers callbacks with pm_register.  So the pm_send_all() calls
can be removed.

Which leaves pm_do_suspend with no sensible code, so it can be removed.
And ripped like this pm_do_sleep looks it it may well no longer be
functioning.

So, anybody still using that stuff, does it provide any useful
functionality?  Does the CPU frequency stuff actually work?

  Ralf

PS: You should hear the engine of my chainsaw warming up ...

---

From: "Nico Coesel" <[email-masked]>
Date: Fri, 28 Mar 2008 09:21:22 +0100

> -----Oorspronkelijk bericht-----
> Van: Ralf Baechle [mailto:[email-masked]] 
> Verzonden: donderdag 27 maart 2008 23:33
> Aan: Sergei Shtylyov
> CC: Nico Coesel; [email-masked]
> Onderwerp: Re: FW: Alchemy power managment code.
> 
> On Wed, Mar 26, 2008 at 07:31:55PM +0300, Sergei Shtylyov wrote:
> 
> >> Funny you ask because I tried this yesterday on a AU1100 
> system with 
> >> the
> >> 2.6.24 kernel (from kernel.org). I'm afraid I must say the kernel 
> >> crashes when I enable power management. The reason I want to use 
> >> power management is because I need to send the CPU to 
> sleep when the 
> >> system shuts down. I hacked power.c and reset.c a bit so 
> au_sleep() 
> >> is called when the system is shut down. Perhaps someone 
> can confirm 
> >> the powermanagement can be made to work with some fixes (it didn't 
> >> work with
> >> 2.6.21-rc4 either).
> >
> >    BTW, for anybody interested in Alchemy PM code, here's the 
> > interesting
> > link: [ftp|http]://ftp.enneenne.com/pub/misc/au1100-patches/linux/.
> >    It contains  a lot of unmerged PM patches by Rodolfo 
> Giometti (and 
> > not only that) from around 2.6.17 time.
> 
> Anybody interested in reviewing these patches and polishing 
> them to be applied to a recent kernel?
> 
>   Ralf

I guess I will have to, but it will probably be somewhere near the end
of April. Also, I'm leaning towards only fixing the TOY timer during
sleep so the clock keeps running. IMHO this should be standard behaviour
which does not depend on power management.

Are diffs against 2.6.24 any good to you guys? The timer stuff Sergei
seems to be working on right now also sounds interesting. Perhaps I'll
patch my kernel with the timer patches from Sergei and apply (some of)
Rodolfo's patches afterwards. I assume there will be quite some overlap
in these patches.

Nico Coesel